...

class EventSnippet {
  object CurrentEventVar extends RequestVar[Box[Event]](Empty)
  // Request ScopeEvent擾郁\bh
  def currentEvent = CurrentEventVar.is

  // (1) edit\bh̐錾
  def edit(in:NodeSeq):NodeSeq = {
    // (2) OC̃[U̎擾
    User.currentUser match {
      case Full(user) => {
        // (3) Cxg̎擾
        val event = currentEvent.openOr(Event.create.creator(user))

        // (4) CxgTemplateɃoCfBO
        Helpers.bind("event", in,
             "id" -> SHtml.hidden(() => CurrentEventVar(Full(event))),
             "titleText" -> (if (event.saved_?) event.title.is
                             else "VCxg̓o^"),
             "title" -> event.title.toForm,
             "subTitle" -> event.subTitle.toForm,
             "description" -> event.description.toForm,
             "startDate" -> event.startDate.toForm,
             "submit" -> SHtml.submit("o^", () => save(event)))
      } case _ => {
        S.error("Cxg쐬邽߂ɂ̓OCĂ")
        S.redirectTo("/user_mgt/login")
      }
    }
  }

  def save(event:Event) : Unit = {
    // (5) Cxg̐
    event.validate match {
      case Nil => {
        event.save // Cxg̉i
        S.notice("Cxgo^܂")
        S.redirectTo("/event/view",
          () => CurrentEventVar(Full(event)))
      } case x => {
        CurrentEventVar(Full(event))
        S.error(x) // G[̒ʒm
      }
    }
  }
  ...
}
